package com.smppw.modaq.domain.dto.report;

import com.smppw.modaq.domain.entity.report.BaseReportDO;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public abstract class BaseReportLevelDTO<T extends BaseReportDO> extends BaseReportDTO<T> {
    /**
     * 基金分级
     */
    private String level;

    public BaseReportLevelDTO() {
        super();
    }

    public BaseReportLevelDTO(Integer fileId) {
        super(fileId);
    }

    public BaseReportLevelDTO(Integer fileId, String level) {
        super(fileId);
        this.level = level;
    }

    @Override
    public String toString() {
        return super.toString() + ", level='" + this.level + "'";
    }
}
